package de.hs_mannheim.informatik.bank;

import de.hs_mannheim.informatik.bank.facade.Banksystem;
import de.hs_mannheim.informatik.bank.gui.KontoAnlegenFrame;
import de.hs_mannheim.informatik.bank.gui.KontoListingFrame;

public class Main {

	public static void main(String[] args) throws Exception {
		Banksystem bs = new Banksystem("Spaßkasse Mannheim");
		// UI ui = new UI(bs);
		
		KontoAnlegenFrame kaf = new KontoAnlegenFrame(bs);
		kaf.setVisible(true);
		
		
		KontoListingFrame klf = new KontoListingFrame(bs);
		klf.setVisible(true);
	}

}